Subject: Re: What PCI specs will I need?

From: Conn Clark <[email-masked]>
Date: Fri, 09 May 2003 16:28:42 -0700

Ralph Blach wrote:
> Conn,
>
> The first thing to ask is what you want your bios to do? If you are
> making an adapter card,
> it will be much different than if you are. Linux for mot and IBM  have a
> pretty complete pci scan.
>
We will be building a small system that was two (mabey three) mini-PCI
slots.

> IBM supplies an open bios that also scans the PCI and does some setup.
>
> 1)will you have fixed devices on your device.  This makes pci setup much
> simpler.
> 2)pci is not that hard if you have a fixed number of devices.  A
> generalized pci scan
>   is very difficult.
>

Our system will only contain devices we choose to stick in it, so mabey
a complete scan isn't needed.

> Heres a books you can get from amazon.com
>
> PCI System Architecture (4th Edition) -- by Tom Shanley, et al; Paperback
> PCI & PCI-X Hardware and Software (Architecture and Design) -- by Ed
> Solari; Hardcover

Do either of these books contain all of the electrical characteristic
details ( such as impeadance, capacitiance, bus loading, etc) ?

> By the I work for IBM and have extensive experience with the 405. I have
> not worked with
> the Mot parts but to fair, I have very good things about it.
>

The IBM 405GP is not out of the running yet. If they had one with PCI,
an SPI, an I2c, two serial ports, and two 10/100Mbps ethernet ports it
would have won hands down for our aplication.

> You can get hardware questions answered about the 405 by contacting
> [email-masked]
>

Thats handy.

> MontaVista does the linux for both.
>
> Chip
>
>
>
> Conn Clark wrote:

<snip>

>> Conn

Thanks for the input

	Conn

--

*****************************************************************
   If you live at home long enough, your parents will move out.
  (Warning they may try to sell their house out from under you.)
*****************************************************************

Conn Clark
Engineering Stooge				[email-masked]
Electronic Systems Technology Inc.		www.esteem.com

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/